<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_HedgesReclassifiedAndReportedInInventory" xlink:label="iag_HedgesReclassifiedAndReportedInInventory" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_AdjustmentsForProvisionsAndOtherNonCashMovements" xlink:label="iag_AdjustmentsForProvisionsAndOtherNonCashMovements" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_DeferredRevenueOnTicketSalesClassifiedAsNonCurrent" xlink:label="iag_DeferredRevenueOnTicketSalesClassifiedAsNonCurrent" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_DisclosureOfImpactOfClimateChangeOnFinancialReporting" xlink:label="iag_DisclosureOfImpactOfClimateChangeOnFinancialReporting" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_IneffectivenessRecognisedInOtherNonoperatingCosts" xlink:label="iag_IneffectivenessRecognisedInOtherNonoperatingCosts" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_FairValueMovementsOnCostOfHedgingThatWillNotBeReclassifiedToNetProfit" xlink:label="iag_FairValueMovementsOnCostOfHedgingThatWillNotBeReclassifiedToNetProfit" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_AdjustmentsForDecreaseIncreaseInTradeReceivablesInventoriesAndOtherCurrentAssets" xlink:label="iag_AdjustmentsForDecreaseIncreaseInTradeReceivablesInventoriesAndOtherCurrentAssets" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_NetChangeInFairValueOfCostOfHedging" xlink:label="iag_NetChangeInFairValueOfCostOfHedging" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_AdjustmentsForPensionSchemeServiceCosts" xlink:label="iag_AdjustmentsForPensionSchemeServiceCosts" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_FairValueMovementsInEquityOnCashFlowHedgesThatMayBeReclassifiedSubsequentlyToNetProfit" xlink:label="iag_FairValueMovementsInEquityOnCashFlowHedgesThatMayBeReclassifiedSubsequentlyToNetProfit" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_DiscontinuanceOfHedgeAccounting" xlink:label="iag_DiscontinuanceOfHedgeAccounting" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_CashFlowHedgesReclassifiedAndReportedInNetProfitPassengerRevenue" xlink:label="iag_CashFlowHedgesReclassifiedAndReportedInNetProfitPassengerRevenue" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_HedgesReclassifiedAndReportedInSalesInAdvanceOfCarriage" xlink:label="iag_HedgesReclassifiedAndReportedInSalesInAdvanceOfCarriage" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_CostOfHedgingReclassifiedAndReportedInNetProfit" xlink:label="iag_CostOfHedgingReclassifiedAndReportedInNetProfit" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_OtherNonOperatingCreditsCharges" xlink:label="iag_OtherNonOperatingCreditsCharges" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_FuelOilCostsAndEmissionsCharges" xlink:label="iag_FuelOilCostsAndEmissionsCharges" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_InterestBearingDepositsMaturingAfterMoreThanThreeMonths" xlink:label="iag_InterestBearingDepositsMaturingAfterMoreThanThreeMonths" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_DisclosureOfSignificantChangesAndTransactionsInTheCurrentReportingPeriod" xlink:label="iag_DisclosureOfSignificantChangesAndTransactionsInTheCurrentReportingPeriod" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_AdjustmentsForSettlementOfDerivativesWhereHedgeAccountingHasBeenDiscontinued" xlink:label="iag_AdjustmentsForSettlementOfDerivativesWhereHedgeAccountingHasBeenDiscontinued" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_PropertyItAndOtherCosts" xlink:label="iag_PropertyItAndOtherCosts" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_DisclosureOfInvestments" xlink:label="iag_DisclosureOfInvestments" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_AdjustmentsForEmployerContributionsToPensionSchemes" xlink:label="iag_AdjustmentsForEmployerContributionsToPensionSchemes" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_EngineeringAndOtherAircraftCosts" xlink:label="iag_EngineeringAndOtherAircraftCosts" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_HedgesReclassifiedAndReportedInPropertyPlantAndEquipment" xlink:label="iag_HedgesReclassifiedAndReportedInPropertyPlantAndEquipment" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_NetCurrencyRetranslationCreditsCharges" xlink:label="iag_NetCurrencyRetranslationCreditsCharges" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_FairValueMovementsOnCostOfHedgingThatMayBeReclassifiedSubsequentlyToNetProfit" xlink:label="iag_FairValueMovementsOnCostOfHedgingThatMayBeReclassifiedSubsequentlyToNetProfit" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_CashCashEquivalentsAndInterestBearingDeposits" xlink:label="iag_CashCashEquivalentsAndInterestBearingDeposits" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_DeferredRevenueOnTicketSalesClassifiedAsCurrent" xlink:label="iag_DeferredRevenueOnTicketSalesClassifiedAsCurrent" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_OtherReservesIncludingRetainedEarnings" xlink:label="iag_OtherReservesIncludingRetainedEarnings" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_DisclosureOfOtherEquityInvestments" xlink:label="iag_DisclosureOfOtherEquityInvestments" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_CashFlowHedgesReclassifiedAndReportedInNetProfitFuelAndOilCosts" xlink:label="iag_CashFlowHedgesReclassifiedAndReportedInNetProfitFuelAndOilCosts" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_CashFlowHedgesReclassifiedAndReportedInNetProfitFinanceCosts" xlink:label="iag_CashFlowHedgesReclassifiedAndReportedInNetProfitFinanceCosts" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_RemeasurementsOfPostEmploymentBenefitObligations" xlink:label="iag_RemeasurementsOfPostEmploymentBenefitObligations" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_HandlingCateringAndOtherOperatingCosts" xlink:label="iag_HandlingCateringAndOtherOperatingCosts" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_RemeasurementsOfLongTermEmployeeRelatedProvisions" xlink:label="iag_RemeasurementsOfLongTermEmployeeRelatedProvisions" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_TotalNetNonOperatingIncomeCosts" xlink:label="iag_TotalNetNonOperatingIncomeCosts" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_IncreaseDecreaseInEquityThroughTheCostOfShareBasedPayments" xlink:label="iag_IncreaseDecreaseInEquityThroughTheCostOfShareBasedPayments" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_CurrencyDifferences" xlink:label="iag_CurrencyDifferences" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_NetFinancingCreditChargeRelatingToPensions" xlink:label="iag_NetFinancingCreditChargeRelatingToPensions" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_AdjustmentsForPaymentsRelatedToRestructuring" xlink:label="iag_AdjustmentsForPaymentsRelatedToRestructuring" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_IncreaseDecreaseInEquityThroughTheVestingOfShareBasedPaymentSchemes" xlink:label="iag_IncreaseDecreaseInEquityThroughTheVestingOfShareBasedPaymentSchemes" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_CashFlowHedgesReclassifiedAndReportedInNetProfitCurrencyDifferences" xlink:label="iag_CashFlowHedgesReclassifiedAndReportedInNetProfitCurrencyDifferences" />
    <loc xlink:type="locator" xlink:href="959800tzhqrush1esl13-2022-12-31.xsd#iag_SettlementOfDerivativeFinancialInstrumentsClassifiedAsFinancingActivities" xlink:label="iag_SettlementOfDerivativeFinancialInstrumentsClassifiedAsFinancingActivities" />
    <labelArc xlink:type="arc" xlink:from="iag_FuelOilCostsAndEmissionsCharges" xlink:to="label_iag_iagFuelOilCostsAndEmissionsCharges_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_HandlingCateringAndOtherOperatingCosts" xlink:to="label_iag_iagHandlingCateringAndOtherOperatingCosts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_EngineeringAndOtherAircraftCosts" xlink:to="label_iag_iagEngineeringAndOtherAircraftCosts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_PropertyItAndOtherCosts" xlink:to="label_iag_iagPropertyItAndOtherCosts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_CurrencyDifferences" xlink:to="label_iag_iagCurrencyDifferences_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_NetFinancingCreditChargeRelatingToPensions" xlink:to="label_iag_iagNetFinancingCreditChargeRelatingToPensions_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_NetCurrencyRetranslationCreditsCharges" xlink:to="label_iag_iagNetCurrencyRetranslationCreditsCharges_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_OtherNonOperatingCreditsCharges" xlink:to="label_iag_iagOtherNonOperatingCreditsCharges_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_TotalNetNonOperatingIncomeCosts" xlink:to="label_iag_iagTotalNetNonOperatingIncomeCosts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_FairValueMovementsInEquityOnCashFlowHedgesThatMayBeReclassifiedSubsequentlyToNetProfit" xlink:to="label_iag_iagFairValueMovementsInEquityOnCashFlowHedgesThatMayBeReclassifiedSubsequentlyToNetProfit_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_FairValueMovementsOnCostOfHedgingThatMayBeReclassifiedSubsequentlyToNetProfit" xlink:to="label_iag_iagFairValueMovementsOnCostOfHedgingThatMayBeReclassifiedSubsequentlyToNetProfit_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_CostOfHedgingReclassifiedAndReportedInNetProfit" xlink:to="label_iag_iagCostOfHedgingReclassifiedAndReportedInNetProfit_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_FairValueMovementsOnCostOfHedgingThatWillNotBeReclassifiedToNetProfit" xlink:to="label_iag_iagFairValueMovementsOnCostOfHedgingThatWillNotBeReclassifiedToNetProfit_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_RemeasurementsOfPostEmploymentBenefitObligations" xlink:to="label_iag_iagRemeasurementsOfPostEmploymentBenefitObligations_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_RemeasurementsOfLongTermEmployeeRelatedProvisions" xlink:to="label_iag_iagRemeasurementsOfLongTermEmployeeRelatedProvisions_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_OtherReservesIncludingRetainedEarnings" xlink:to="label_iag_iagOtherReservesIncludingRetainedEarnings_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_DeferredRevenueOnTicketSalesClassifiedAsNonCurrent" xlink:to="label_iag_iagDeferredRevenueOnTicketSalesClassifiedAsNonCurrent_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_DeferredRevenueOnTicketSalesClassifiedAsCurrent" xlink:to="label_iag_iagDeferredRevenueOnTicketSalesClassifiedAsCurrent_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_AdjustmentsForDecreaseIncreaseInTradeReceivablesInventoriesAndOtherCurrentAssets" xlink:to="label_iag_iagAdjustmentsForDecreaseIncreaseInTradeReceivablesInventoriesAndOtherCurrentAssets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_AdjustmentsForPaymentsRelatedToRestructuring" xlink:to="label_iag_iagAdjustmentsForPaymentsRelatedToRestructuring_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_AdjustmentsForEmployerContributionsToPensionSchemes" xlink:to="label_iag_iagAdjustmentsForEmployerContributionsToPensionSchemes_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_AdjustmentsForPensionSchemeServiceCosts" xlink:to="label_iag_iagAdjustmentsForPensionSchemeServiceCosts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_AdjustmentsForProvisionsAndOtherNonCashMovements" xlink:to="label_iag_iagAdjustmentsForProvisionsAndOtherNonCashMovements_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_AdjustmentsForSettlementOfDerivativesWhereHedgeAccountingHasBeenDiscontinued" xlink:to="label_iag_iagAdjustmentsForSettlementOfDerivativesWhereHedgeAccountingHasBeenDiscontinued_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_SettlementOfDerivativeFinancialInstrumentsClassifiedAsFinancingActivities" xlink:to="label_iag_iagSettlementOfDerivativeFinancialInstrumentsClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_InterestBearingDepositsMaturingAfterMoreThanThreeMonths" xlink:to="label_iag_iagInterestBearingDepositsMaturingAfterMoreThanThreeMonths_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_CashCashEquivalentsAndInterestBearingDeposits" xlink:to="label_iag_iagCashCashEquivalentsAndInterestBearingDeposits_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_CashFlowHedgesReclassifiedAndReportedInNetProfitFuelAndOilCosts" xlink:to="label_iag_iagCashFlowHedgesReclassifiedAndReportedInNetProfitFuelAndOilCosts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_CashFlowHedgesReclassifiedAndReportedInNetProfitCurrencyDifferences" xlink:to="label_iag_iagCashFlowHedgesReclassifiedAndReportedInNetProfitCurrencyDifferences_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_CashFlowHedgesReclassifiedAndReportedInNetProfitFinanceCosts" xlink:to="label_iag_iagCashFlowHedgesReclassifiedAndReportedInNetProfitFinanceCosts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_DiscontinuanceOfHedgeAccounting" xlink:to="label_iag_iagDiscontinuanceOfHedgeAccounting_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_IneffectivenessRecognisedInOtherNonoperatingCosts" xlink:to="label_iag_iagIneffectivenessRecognisedInOtherNonoperatingCosts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_NetChangeInFairValueOfCostOfHedging" xlink:to="label_iag_iagNetChangeInFairValueOfCostOfHedging_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_HedgesReclassifiedAndReportedInPropertyPlantAndEquipment" xlink:to="label_iag_iagHedgesReclassifiedAndReportedInPropertyPlantAndEquipment_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_HedgesReclassifiedAndReportedInSalesInAdvanceOfCarriage" xlink:to="label_iag_iagHedgesReclassifiedAndReportedInSalesInAdvanceOfCarriage_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_HedgesReclassifiedAndReportedInInventory" xlink:to="label_iag_iagHedgesReclassifiedAndReportedInInventory_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_IncreaseDecreaseInEquityThroughTheCostOfShareBasedPayments" xlink:to="label_iag_iagIncreaseDecreaseInEquityThroughTheCostOfShareBasedPayments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_IncreaseDecreaseInEquityThroughTheVestingOfShareBasedPaymentSchemes" xlink:to="label_iag_iagIncreaseDecreaseInEquityThroughTheVestingOfShareBasedPaymentSchemes_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_CashFlowHedgesReclassifiedAndReportedInNetProfitPassengerRevenue" xlink:to="label_iag_iagCashFlowHedgesReclassifiedAndReportedInNetProfitPassengerRevenue_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_DisclosureOfSignificantChangesAndTransactionsInTheCurrentReportingPeriod" xlink:to="label_iag_iagDisclosureOfSignificantChangesAndTransactionsInTheCurrentReportingPeriod_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_DisclosureOfImpactOfClimateChangeOnFinancialReporting" xlink:to="label_iag_iagDisclosureOfImpactOfClimateChangeOnFinancialReporting_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_DisclosureOfInvestments" xlink:to="label_iag_iagDisclosureOfInvestments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iag_DisclosureOfOtherEquityInvestments" xlink:to="label_iag_iagDisclosureOfOtherEquityInvestments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_iag_iagFuelOilCostsAndEmissionsCharges_Standard" id="iag_iagFuelOilCostsAndEmissionsCharges_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Fuel, oil costs and emissions charges</label>
    <label xlink:label="label_iag_iagHandlingCateringAndOtherOperatingCosts_Standard" id="iag_iagHandlingCateringAndOtherOperatingCosts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Handling, catering and other operating costs</label>
    <label xlink:label="label_iag_iagEngineeringAndOtherAircraftCosts_Standard" id="iag_iagEngineeringAndOtherAircraftCosts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Engineering and other aircraft costs</label>
    <label xlink:label="label_iag_iagPropertyItAndOtherCosts_Standard" id="iag_iagPropertyItAndOtherCosts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Property, IT and other costs</label>
    <label xlink:label="label_iag_iagCurrencyDifferences_Standard" id="iag_iagCurrencyDifferences_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Currency differences</label>
    <label xlink:label="label_iag_iagNetFinancingCreditChargeRelatingToPensions_Standard" id="iag_iagNetFinancingCreditChargeRelatingToPensions_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net financing credit/(charge) relating to pensions</label>
    <label xlink:label="label_iag_iagNetCurrencyRetranslationCreditsCharges_Standard" id="iag_iagNetCurrencyRetranslationCreditsCharges_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net currency retranslation credits/(charges)</label>
    <label xlink:label="label_iag_iagOtherNonOperatingCreditsCharges_Standard" id="iag_iagOtherNonOperatingCreditsCharges_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other non-operating credits/(charges)</label>
    <label xlink:label="label_iag_iagTotalNetNonOperatingIncomeCosts_Standard" id="iag_iagTotalNetNonOperatingIncomeCosts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Total net non-operating income (costs)</label>
    <label xlink:label="label_iag_iagFairValueMovementsInEquityOnCashFlowHedgesThatMayBeReclassifiedSubsequentlyToNetProfit_Standard" id="iag_iagFairValueMovementsInEquityOnCashFlowHedgesThatMayBeReclassifiedSubsequentlyToNetProfit_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Fair value movements in equity on cash flow hedges that may be reclassified subsequently to net profit</label>
    <label xlink:label="label_iag_iagFairValueMovementsOnCostOfHedgingThatMayBeReclassifiedSubsequentlyToNetProfit_Standard" id="iag_iagFairValueMovementsOnCostOfHedgingThatMayBeReclassifiedSubsequentlyToNetProfit_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Fair value movements on cost of hedging that may be reclassified subsequently to net profit</label>
    <label xlink:label="label_iag_iagCostOfHedgingReclassifiedAndReportedInNetProfit_Standard" id="iag_iagCostOfHedgingReclassifiedAndReportedInNetProfit_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cost of hedging reclassified and reported in net profit</label>
    <label xlink:label="label_iag_iagFairValueMovementsOnCostOfHedgingThatWillNotBeReclassifiedToNetProfit_Standard" id="iag_iagFairValueMovementsOnCostOfHedgingThatWillNotBeReclassifiedToNetProfit_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Fair value movements on cost of hedging that will not be reclassified to net profit</label>
    <label xlink:label="label_iag_iagRemeasurementsOfPostEmploymentBenefitObligations_Standard" id="iag_iagRemeasurementsOfPostEmploymentBenefitObligations_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Remeasurements of post-employment benefit obligations</label>
    <label xlink:label="label_iag_iagRemeasurementsOfLongTermEmployeeRelatedProvisions_Standard" id="iag_iagRemeasurementsOfLongTermEmployeeRelatedProvisions_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Remeasurements of long-term employee related provisions</label>
    <label xlink:label="label_iag_iagOtherReservesIncludingRetainedEarnings_Standard" id="iag_iagOtherReservesIncludingRetainedEarnings_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other reserves including retained earnings</label>
    <label xlink:label="label_iag_iagDeferredRevenueOnTicketSalesClassifiedAsNonCurrent_Standard" id="iag_iagDeferredRevenueOnTicketSalesClassifiedAsNonCurrent_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Deferred revenue on ticket sales classified as non-current</label>
    <label xlink:label="label_iag_iagDeferredRevenueOnTicketSalesClassifiedAsCurrent_Standard" id="iag_iagDeferredRevenueOnTicketSalesClassifiedAsCurrent_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Deferred revenue on ticket sales classified as current</label>
    <label xlink:label="label_iag_iagAdjustmentsForDecreaseIncreaseInTradeReceivablesInventoriesAndOtherCurrentAssets_Standard" id="iag_iagAdjustmentsForDecreaseIncreaseInTradeReceivablesInventoriesAndOtherCurrentAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for decrease (increase) in trade receivables, inventories and other current assets</label>
    <label xlink:label="label_iag_iagAdjustmentsForPaymentsRelatedToRestructuring_Standard" id="iag_iagAdjustmentsForPaymentsRelatedToRestructuring_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for payments related to restructuring</label>
    <label xlink:label="label_iag_iagAdjustmentsForEmployerContributionsToPensionSchemes_Standard" id="iag_iagAdjustmentsForEmployerContributionsToPensionSchemes_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for employer contributions to pension schemes</label>
    <label xlink:label="label_iag_iagAdjustmentsForPensionSchemeServiceCosts_Standard" id="iag_iagAdjustmentsForPensionSchemeServiceCosts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for pension scheme service costs</label>
    <label xlink:label="label_iag_iagAdjustmentsForProvisionsAndOtherNonCashMovements_Standard" id="iag_iagAdjustmentsForProvisionsAndOtherNonCashMovements_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for provisions and other non-cash movements</label>
    <label xlink:label="label_iag_iagAdjustmentsForSettlementOfDerivativesWhereHedgeAccountingHasBeenDiscontinued_Standard" id="iag_iagAdjustmentsForSettlementOfDerivativesWhereHedgeAccountingHasBeenDiscontinued_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for settlement of derivatives where hedge accounting has been discontinued</label>
    <label xlink:label="label_iag_iagSettlementOfDerivativeFinancialInstrumentsClassifiedAsFinancingActivities_Standard" id="iag_iagSettlementOfDerivativeFinancialInstrumentsClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Settlement of derivative financial instruments classified as financing activities</label>
    <label xlink:label="label_iag_iagInterestBearingDepositsMaturingAfterMoreThanThreeMonths_Standard" id="iag_iagInterestBearingDepositsMaturingAfterMoreThanThreeMonths_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest-bearing deposits maturing after more than three months</label>
    <label xlink:label="label_iag_iagCashCashEquivalentsAndInterestBearingDeposits_Standard" id="iag_iagCashCashEquivalentsAndInterestBearingDeposits_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash, cash equivalents and interest-bearing deposits</label>
    <label xlink:label="label_iag_iagCashFlowHedgesReclassifiedAndReportedInNetProfitFuelAndOilCosts_Standard" id="iag_iagCashFlowHedgesReclassifiedAndReportedInNetProfitFuelAndOilCosts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash flow hedges reclassified and reported in net profit: Fuel and oil costs</label>
    <label xlink:label="label_iag_iagCashFlowHedgesReclassifiedAndReportedInNetProfitCurrencyDifferences_Standard" id="iag_iagCashFlowHedgesReclassifiedAndReportedInNetProfitCurrencyDifferences_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash flow hedges reclassified and reported in net profit: Currency differences</label>
    <label xlink:label="label_iag_iagCashFlowHedgesReclassifiedAndReportedInNetProfitFinanceCosts_Standard" id="iag_iagCashFlowHedgesReclassifiedAndReportedInNetProfitFinanceCosts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash flow hedges reclassified and reported in net profit: Finance costs</label>
    <label xlink:label="label_iag_iagDiscontinuanceOfHedgeAccounting_Standard" id="iag_iagDiscontinuanceOfHedgeAccounting_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Discontinuance of hedge accounting</label>
    <label xlink:label="label_iag_iagIneffectivenessRecognisedInOtherNonoperatingCosts_Standard" id="iag_iagIneffectivenessRecognisedInOtherNonoperatingCosts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Ineffectiveness recognised in other non-operating costs</label>
    <label xlink:label="label_iag_iagNetChangeInFairValueOfCostOfHedging_Standard" id="iag_iagNetChangeInFairValueOfCostOfHedging_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net change in fair value of cost of hedging</label>
    <label xlink:label="label_iag_iagHedgesReclassifiedAndReportedInPropertyPlantAndEquipment_Standard" id="iag_iagHedgesReclassifiedAndReportedInPropertyPlantAndEquipment_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Hedges reclassified and reported in property, plant and equipment</label>
    <label xlink:label="label_iag_iagHedgesReclassifiedAndReportedInSalesInAdvanceOfCarriage_Standard" id="iag_iagHedgesReclassifiedAndReportedInSalesInAdvanceOfCarriage_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Hedges reclassified and reported in sales in advance of carriage</label>
    <label xlink:label="label_iag_iagHedgesReclassifiedAndReportedInInventory_Standard" id="iag_iagHedgesReclassifiedAndReportedInInventory_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Hedges reclassified and reported in inventory</label>
    <label xlink:label="label_iag_iagIncreaseDecreaseInEquityThroughTheCostOfShareBasedPayments_Standard" id="iag_iagIncreaseDecreaseInEquityThroughTheCostOfShareBasedPayments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Increase (decrease) in equity through the cost of share-based payments</label>
    <label xlink:label="label_iag_iagIncreaseDecreaseInEquityThroughTheVestingOfShareBasedPaymentSchemes_Standard" id="iag_iagIncreaseDecreaseInEquityThroughTheVestingOfShareBasedPaymentSchemes_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Increase (decrease) in equity through the vesting of share-based payment schemes</label>
    <label xlink:label="label_iag_iagCashFlowHedgesReclassifiedAndReportedInNetProfitPassengerRevenue_Standard" id="iag_iagCashFlowHedgesReclassifiedAndReportedInNetProfitPassengerRevenue_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash flow hedges reclassified and reported in net profit: Passenger revenue</label>
    <label xlink:label="label_iag_iagDisclosureOfSignificantChangesAndTransactionsInTheCurrentReportingPeriod_Standard" id="iag_iagDisclosureOfSignificantChangesAndTransactionsInTheCurrentReportingPeriod_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of significant changes and transactions in the current reporting period</label>
    <label xlink:label="label_iag_iagDisclosureOfImpactOfClimateChangeOnFinancialReporting_Standard" id="iag_iagDisclosureOfImpactOfClimateChangeOnFinancialReporting_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of impact of climate change on financial reporting</label>
    <label xlink:label="label_iag_iagDisclosureOfInvestments_Standard" id="iag_iagDisclosureOfInvestments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of investments</label>
    <label xlink:label="label_iag_iagDisclosureOfOtherEquityInvestments_Standard" id="iag_iagDisclosureOfOtherEquityInvestments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of other equity investments</label>
  </labelLink>
</linkbase>